Bug 266653 - devel/llvm70: Deprecate and set expiration date to 2022-12-31
Summary: devel/llvm70: Deprecate and set expiration date to 2022-12-31
Status: Open
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Brooks Davis
URL:
Keywords:
Depends on: 266655
Blocks:
  Show dependency treegraph
 
Reported: 2022-09-27 10:49 UTC by Daniel Engberg
Modified: 2022-11-25 23:30 UTC (History)
2 users (show)

See Also:
brooks: maintainer-feedback-


Attachments
Patch for llvm70 (1.08 KB, patch)
2022-09-27 10:49 UTC, Daniel Engberg
no flags Details | Diff
Patch for llvm70 v2 (527 bytes, patch)
2022-09-27 10:53 UTC, Daniel Engberg
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel Engberg freebsd_committer 2022-09-27 10:49:06 UTC
Created attachment 236868 [details]
Patch for llvm70

Time to deprecate this old version of llvm
Comment 1 Daniel Engberg freebsd_committer 2022-09-27 10:53:28 UTC
Created attachment 236870 [details]
Patch for llvm70 v2

Fix patch
Comment 2 Brooks Davis freebsd_committer 2022-09-27 16:57:48 UTC
Unfortunately, it's the specific version required for lang/ldc (the D compiler) bootstrap so it's unlikely to be possible to remove until we're willing to let ldc die.

I have been considering sliming the port down as much as possible to only support the things required for the remain dependencies and I should at least change the default options accordingly.